petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatNestSetSubMats

Sets the nested submatrices

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNestSetSubMats(Mat A,PetscInt nr,const IS is_row[],PetscInt nc,const IS is_col[],const Mat a[])

Collective on Mat

### Input Parameter

| N | - nested matrix
| nr | - number of nested row blocks
| is_row | - index sets for each nested row block, or NULL to make contiguous
| nc | - number of nested column blocks
| is_col | - index sets for each nested column block, or NULL to make contiguous
| a | - row-aligned array of nr*nc submatrices, empty submatrices can be passed using NULL

### See Also

MatCreateNest(), MATNEST

### Level

advanced

### Location

src/mat/impls/nest/matnest.c

### Implementations

MatNestSetSubMats_Nest in src/mat/impls/nest/matnest.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages